summaryrefslogtreecommitdiff
path: root/t/acsilent.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/acsilent.sh')
-rwxr-xr-xt/acsilent.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/t/acsilent.sh b/t/acsilent.sh
new file mode 100755
index 000000000..0f9c1cbb0
--- /dev/null
+++ b/t/acsilent.sh
@@ -0,0 +1,37 @@
+#! /bin/sh
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure there are no spurious acinclude warnings.
+
+. ./defs || Exit 1
+
+cat >configure.ac <<EOF
+AC_INIT
+AM_INIT_GUILE_MODULE
+EOF
+
+cat > acinclude.m4 << 'END'
+AC_DEFUN([AM_INIT_GUILE_MODULE],[
+. $srcdir/../GUILE-VERSION
+AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
+AC_CONFIG_AUX_DIR(..)
+module=[$1]
+AC_SUBST(module)])
+END
+
+$ACLOCAL >output 2>&1 || { cat output; Exit 1; }
+cat output
+test ! -s output